package com.taobaostore.vo;

import java.math.BigDecimal;
//封装购物车及商品信息
public class CartProductVo {
	private Integer id;//购物车id
	private Integer userId;//用户id
	private Integer productId;//商品id
	private Integer quantity;//购物车中商品数量
	private String productName;// 商品名称
	private String productSubtitle;// 商品副标题
	private String productMainImage;// 商品主图
	private BigDecimal productPrice;// 商品单价
	private Integer productStatus;// 商品状态
	private BigDecimal productTotalPrice;//产品总价
	private Integer productStock;// 商品库存
	private Integer productChecked;// 这个商品是否勾选
	private String limitQuantity;//限制最大库存数量
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public Integer getProductId() {
		return productId;
	}
	public void setProductId(Integer productId) {
		this.productId = productId;
	}
	public Integer getQuantity() {
		return quantity;
	}
	public void setQuantity(Integer quantity) {
		this.quantity = quantity;
	}
	public String getProductName() {
		return productName;
	}
	public void setProductName(String productName) {
		this.productName = productName;
	}
	public String getProductSubtitle() {
		return productSubtitle;
	}
	public void setProductSubtitle(String productSubtitle) {
		this.productSubtitle = productSubtitle;
	}
	public String getProductMainImage() {
		return productMainImage;
	}
	public void setProductMainImage(String productMainImage) {
		this.productMainImage = productMainImage;
	}
	public BigDecimal getProductPrice() {
		return productPrice;
	}
	public void setProductPrice(BigDecimal productPrice) {
		this.productPrice = productPrice;
	}
	public Integer getProductStatus() {
		return productStatus;
	}
	public void setProductStatus(Integer productStatus) {
		this.productStatus = productStatus;
	}
	public BigDecimal getProductTotalPrice() {
		return productTotalPrice;
	}
	public void setProductTotalPrice(BigDecimal productTotalPrice) {
		this.productTotalPrice = productTotalPrice;
	}
	public Integer getProductStock() {
		return productStock;
	}
	public void setProductStock(Integer productStock) {
		this.productStock = productStock;
	}
	public Integer getProductChecked() {
		return productChecked;
	}
	public void setProductChecked(Integer productChecked) {
		this.productChecked = productChecked;
	}
	public String getLimitQuantity() {
		return limitQuantity;
	}
	public void setLimitQuantity(String limitQuantity) {
		this.limitQuantity = limitQuantity;
	}
	@Override
	public String toString() {
		return "CartProductVo [id=" + id + ", userId=" + userId + ", productId=" + productId + ", quantity=" + quantity
				+ ", productName=" + productName + ", productSubtitle=" + productSubtitle + ", productMainImage="
				+ productMainImage + ", productPrice=" + productPrice + ", productStatus=" + productStatus
				+ ", productTotalPrice=" + productTotalPrice + ", productStock=" + productStock + ", productChecked="
				+ productChecked + ", limitQuantity=" + limitQuantity + "]";
	}

}
